/***********************************************************/
/*                                                         */
/* D3DStruct.cpp                                           */
/*                                                         */
/* created 25.07.2002                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#include "D3DStruct.h"

// www.infinitecode.com 3d library
namespace I3D
{

void D3DStruct::Create(LPDIRECT3DDEVICE9 D3DDevice, ITL::Speed *Sp)
{
	D3DStruct::D3DDevice = D3DDevice;
	D3DStruct::Sp = Sp;
}

void D3DStruct::CreateProjViewMtx(void)
{
	ProjViewMtx = Matrix(ProjMtx) * Matrix(ViewMtx);
}

}
