/***********************************************************/
/*                                                         */
/* IDTank.h                                                */
/*                                                         */
/* created 13.02.2003                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/* Modified 30.09.04					   */
/* by Roel Van der planken				   */
/* www.drinksomecoffee.com				   */
/*                                                         */
/***********************************************************/

#ifndef IDTANK_H
#define IDTANK_H

namespace IGAME
{

	enum
	{
		//PALESTANIAN VEHICELS (from 0 to 999)
		//LAND VEHICLES (0 to 499)
		IDT_TANK_PAL_TANK = 0,
		IDT_TANK_PAL_LTANK = 1,
		IDT_TANK_PAL_MARS = 2,
		//AIR (500 to 699)
		IDT_TANK_PAL_C160 = 500,
		//SEA (700 to 999)
		//PALESTANIAN DEFENSE BUILDINGS (from 1000 to 1999)
		IDT_TANK_PAL_TURRET_MG = 1000,
		IDT_TANK_PAL_TURRET = 1001,
		//PALESTANIAN BUILDINGS (from 2000 to 2999)
		IDT_HOUSE_PAL_HANGAR = 2000,
		//UNITED STATES VEHICELS (from 3000 to 3999)
		//LAND VEHICLES (3000 to 3499)
		IDT_TANK_US_TANK = 3000,
		IDT_TANK_US_LTANK = 3001,
		IDT_TANK_US_MARS = 3002,
		//AIR (3500 to 3699)
		IDT_TANK_US_C160 = 3500,
		//SEA (3700 to 3999)
		//UNITED STATES DEFENSE BUILDINGS (from 4000 to 4999)
		IDT_TANK_US_TURRET_MG = 4000,
		IDT_TANK_US_TURRET = 4001,
		//UNITED STATES BUILDINGS (from 5000 to 5999)
		IDT_HOUSE_US_HANGAR = 5000,
		//MISSION OBJECTIVE BUILDINGS (from 6000 to 6999)
		IDT_HOUSE_OIL = 6000,
		//CIVIL VEHICLES (from 7000 to 7999)
		//LAND (7000 to 7499)
		//AIR (7500 to 7699)
		//SEA (7700 to 7999)
		//DECOR CIVIL BUILDINGS (from 8000 to 8999)
		IDT_HOUSE_MOSQ = 8000,
		IDT_HOUSE_LHOUSE1 = 8001,
		IDT_HOUSE_LHOUSE2 = 8002,
		IDT_HOUSE_LHOUSE2fl = 8003,
		IDT_HOUSE_HANGAR1 = 8004
	};

}

#endif
