/***********************************************************/
/*                                                         */
/* MOPropertiesIf.h                                        */
/*                                                         */
/* created 01.09.2003                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#ifndef MOPROPERTIESIF_H
#define MOPROPERTIESIF_H

// www.infinitecode.com 3d library
namespace IGAME
{

class MOPropertiesIf
{
public:
	virtual void AIMove(const char *Name, IMATH::Vector2DXZ Pos) = 0;
	virtual void AIAttack(const char *Name, const char *Target) = 0;
	virtual void SetPos(const char *Name, IMATH::Vector Pos) = 0;
	virtual void SetWayPos(const char *Name, int ID, IMATH::Vector2DXZ Pos) = 0;
	virtual void SetTerrainPos(const char *Name, int ID, IMATH::Vector2DXZ Pos) = 0;
};

}

#endif
