/***********************************************************/
/*                                                         */
/* RenderableQT.h                                          */
/*                                                         */
/* created 11.08.2002                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#ifndef RENDERABLEQT_H
#define RENDERABLEQT_H

#include "D3DStruct.h"
#include "QTNode.h"

// www.infinitecode.com 3d library
namespace I3D
{

class RenderableQT
{
	//RenderableModel *Model;
	QTNode *Node;

protected:
	virtual void CreateView(D3DStruct DS);

public:
	virtual void Render(D3DStruct DS);
};

}

#endif
