/***********************************************************/
/*                                                         */
/* WSA.cpp                                                 */
/*                                                         */
/* created 03.08.2002                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#include "WSA.h"

#ifdef WIN32
	#include <winsock.h>
#else
	#include <sys/socket.h>
	#include <netinet/in.h>
	#include <sys/types.h>
	#include <netdb.h>
//	#include <fcntl.h>
#endif

// www.infinitecode.com Network Library
namespace INETW
{

void WSA::Create(void)
{
#ifdef WIN32
	unsigned short version = 0x101;
	WSADATA wsaData;
	WSAStartup(version, &wsaData);
#endif
}

void WSA::Destroy(void)
{
	WSACleanup();
}

}
