/***********************************************************/
/*                                                         */
/* Credits.h                                               */
/*                                                         */
/* created 13.04.2003                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#ifndef CREDITS_H
#define CREDITS_H

#include "D3DStruct.h"

// www.infinitecode.com 3d library
namespace I3D
{

class Credits
{
	char *Text;
	float Scroll;
	int Lines;

public:
	Credits(): Text(0) {}
	~Credits();

	void Create(const char *Filename);
	void Render(I3D::D3DStruct *DS);
};

}

#endif
