/***********************************************************/
/*                                                         */
/* DShow.h                                                 */
/*                                                         */
/* created 17.07.2004                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#ifndef DSHOW_H
#define DSHOW_H

#include <dshow.h>

#ifndef RELEASE
	#define RELEASE(x) if(x){(x)->Release();}
#endif

// www.infinitecode.com audio library
namespace IAU
{

class DShow
{
    IGraphBuilder *pGraph;
    IMediaControl *pMediaControl;
    IMediaEvent *pEvent;

public:
	DShow();
	~DShow();

	void Play(const char *Filename);
	void Enqueue(const char *Filename);
	void Stop();
};

}

#endif
