/***********************************************************/
/*                                                         */
/* IMath.h                                                 */
/*                                                         */
/* created 08.08.2002                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#ifndef IMATH_H
#define IMATH_H

// www.infinitecode.com Math Library
namespace IMATH
{

#define PI 3.14159265439f

// returns the lower of two values
#define minf(x, y) (((x) < (y)) ? (x) : (y))
#define maxf(x, y) (((x) > (y)) ? (x) : (y))

#define absf(x) ((x) >= 0 ? (x) : -(x))

}

#endif
