/***********************************************************/
/*                                                         */
/* MessageWindow.cpp                                       */
/*                                                         */
/* created 03.07.2004                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#include "MessageWindow.h"
#include "DialogWindow.h"

#include <cstdio>

// www.infinitecode.com tool library
namespace ITL
{

void MessageWindow::DebugWindow(HINSTANCE hInstance, HWND Parent, char *Str, char *Caption, char *DebugData)
{
	try
	{
		char Str2[4096];
		//Str[20] = 0;
		//DebugData[25] = 0;
		sprintf(Str2, "%s\r\n\r\n%s", Str, DebugData);

		DialogWindow::Specs Specs;
		Specs.DlgTmp.style = WS_POPUP | WS_BORDER | WS_SYSMENU | DS_MODALFRAME | WS_CAPTION | WS_VISIBLE | WS_EX_TOPMOST;
		Specs.DlgTmp.dwExtendedStyle = 0;
		Specs.DlgTmp.cdit = 2;
		Specs.DlgTmp.x = 10;
		Specs.DlgTmp.y = 10;
		Specs.DlgTmp.cx = 250;
		Specs.DlgTmp.cy = 140;
		strcpy(Specs.Menu, "");
		strcpy(Specs.WClass, "");
		strcpy(Specs.Title, Caption);
		DialogWindow DBT(Specs);
		// Items
		DialogWindow::Item It;
		It.Tmp.style = WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON;
		It.Tmp.dwExtendedStyle = 0;
		It.Tmp.x = 1;
		It.Tmp.y = 125;
		It.Tmp.cx = 50;
		It.Tmp.cy = 12;
		It.Tmp.id = 2;
		It.BWClass = DialogWindow::BUTTON;
		strcpy(It.Title, "OK");
		It.CData = false;
		DBT.AddItem(It);

		It.Tmp.style = WS_VISIBLE | WS_BORDER | WS_VSCROLL | ES_READONLY | ES_MULTILINE;
		It.Tmp.dwExtendedStyle = 0;
		It.Tmp.x = 1;
		It.Tmp.y = 1;
		It.Tmp.cx = 248;
		It.Tmp.cy = 120;
		It.Tmp.id = 3;
		It.BWClass = DialogWindow::EDIT;
		strcpy(It.Title, Str2);
		It.CData = false;
		DBT.AddItem(It);

		DBT.RunModal(hInstance, Parent);
		//int Ret = DialogBoxIndirect(hInstance, DT, Parent, DBT->DlgProc);
		//throw("foo");

		//TODO: Dialog Box
		/*char Str2[2048];
		sprintf(Str2, "%s\r\n\r\n%s", Str, DebugData);*/
		//MessageBox(NULL, Str2, Caption, MB_OK);
	}
	catch(...)
	{
		char Str2[2048];
		sprintf(Str2, "Exception in MessageWindow::DebugWindow\r\nat:\r\n%s\r\n\r\n%s", Str, DebugData);
		MessageBox(NULL, Str2, "Exception", MB_OK);
	}
}

}
