/***********************************************************/
/*                                                         */
/* MissionObject.h                                         */
/*                                                         */
/* created 02.03.2003                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

#ifndef MISSIONOBJECT_H
#define MISSIONOBJECT_H

// www.infinitecode.com game library
namespace IGAME
{

class MissionObject
{
public:
	MissionObject(void): ObjType(0), Type(0), x(0), z(0), Angle(0), Owner(0), AI(0), TargetX(0), TargetZ(0), Commandable(true), Highlight(false), MaxSpeed(10000)
	{
		*Name = 0;
		*Target = 0;
	}

	int ObjType, Type, Owner;
	float x, z, Angle, MaxSpeed;
	char Name[1024], Target[1024];
	int AI;
	float TargetX, TargetZ;
	bool Commandable, Highlight;
};

}

#endif
