/***********************************************************/
/*                                                         */
/* WorldPFXInterface.h                                     */
/*                                                         */
/* created 19.02.2003                                      */
/* by Christian Reimann  empgodot@gmx.de                   */
/*                                                         */
/* Copyright    Christian Reimann                          */
/*              empgodot@gmx.de                            */
/*              www.infinitecode.com                       */
/*                                                         */
/* This code may be freely modified and redistributed.     */
/* If you use parts of this code in a project,             */
/* I'd appreciate a mention in the credits.                */
/*                                                         */
/***********************************************************/

// Interface Class for Space Managers like bsptrees, quadtrees
// and octrees

#ifndef WORLDPFXINTERFACE_H
#define WORLDPFXINTERFACE_H

#include "ParticleEffect.h"

// www.infinitecode.com 3d library
namespace I3D
{

class WorldPFXInterface
{
public:
	virtual void Delete(ParticleEffect *PFX) = 0;
};

}

#endif
